curl --request PUT \
--url https://api-stage.karmacheck.io/case/id/{caseId}/{disclosureType}/{language} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sendReport": true,
"list": [
{
"legalType": "general-ca-disclosure",
"signature": "Alex Smith"
},
{
"legalType": "state-city-all-disclosure"
},
{
"legalType": "custom-ab-ca-disclosure-1",
"signature": "Alex Smith"
},
{
"legalType": "custom-ab-ca-disclosure-2",
"signature": "Alex Smith"
}
]
}
'import requests
url = "https://api-stage.karmacheck.io/case/id/{caseId}/{disclosureType}/{language}"
payload = {
"sendReport": True,
"list": [
{
"legalType": "general-ca-disclosure",
"signature": "Alex Smith"
},
{ "legalType": "state-city-all-disclosure" },
{
"legalType": "custom-ab-ca-disclosure-1",
"signature": "Alex Smith"
},
{
"legalType": "custom-ab-ca-disclosure-2",
"signature": "Alex Smith"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sendReport: true,
list: [
{legalType: 'general-ca-disclosure', signature: 'Alex Smith'},
{legalType: 'state-city-all-disclosure'},
{legalType: 'custom-ab-ca-disclosure-1', signature: 'Alex Smith'},
{legalType: 'custom-ab-ca-disclosure-2', signature: 'Alex Smith'}
]
})
};
fetch('https://api-stage.karmacheck.io/case/id/{caseId}/{disclosureType}/{language}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Acknowledge location-specific disclosures
Submits acknowledgement of location-specific disclosures for tracking and auditing purposes. This action creates a case data record with the provided information. The system records the acknowledgment and generates a downloadable PDF file of the acknowledged disclosures.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of a case.
The type of disclosure.
disclosures, customdynamicdisclosure Body
All disclosures that are returned in the Request location-specific disclosures [blocked] API call must be included. If any expected disclosures are not acknowledged in this request, the entire request will be rejected and nothing will be saved for this request.
Note
Inclusion of a
legalTypein the request list indicates that the candidate acknowledged that legal disclosure via an input. The client should not include thelegalTypein the post request until that acknowledgement happens.
Response
OK